Subject: Roses and Rumours
From: [email-masked] (Erica J Bial)
Date: Sun, 1 May 1994 06:04:47 GMT
Newsgroups: bionet.plants

This may be a strange question, but I think it woul dbe nice were It o 
know the answer.  Please help?

I have heard a lot of rumours about the "best way" to keepcut roses alive 
in a vase...  recommendation such as "dissolve an aspirin table tin the 
water" to "use the little packet that the florist gives you a bit every 
day" to "absolutely don't use the little packet that the florist gives 
you." and abunch of other random ideas people seem to have had over the 
ages on this subject.  My question is multi-fold: 1) What is IN those 
little packets and what (if anything) does it do? 2) Should these packets 
be used?  3) Any better recommendations for keeping roses "alive"looking 
longer?

many many thanks!
[email-masked]
(lowly undergrad extraordinaire)